using System;
class Vage
{
    static void Main()
    {
        string [] s=Console.ReadLine().Split();
        int n=int.Parse(s[0]);
        int m=int.Parse(s[1]);
        long[,] a=new long[n,2];
        int i,br=0;
        long l,r,x,j;
        long[] b= new long[m];
        for(i=0; i<n; i++)
        {
            string [] u=Console.ReadLine().Split();
            for(j=0; j<2; j++)
            {
                a[i,j]=long.Parse(u[j]);
            }
        }
        for(i=0; i<m; i++)
        {
            string [] sr=Console.ReadLine().Split();
            l=int.Parse(sr[0]);
            r=int.Parse(sr[1]);
            x=int.Parse(sr[2]);
            br=0;
            for(j=(l-1); j<=(r-1); j++)
            {
                if(a[j,0]<=x && a[j,1]>=x)
                {
                    br++;
                }
            }
            b[i]=br;
        }
        for(i=0; i<m; i++)
        {
            Console.WriteLine(b[i]);
        }
    }
}